GET
/v1/catalog/products/{id}GET /v1/catalog/products/{id}
Scopes: catalog:products:read
Requires scope: catalog:products:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int64> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
ldsku | integer<int64> | no | |
sku | string | no | |
productName | string | no | |
upc | string | no | |
ean | string | no | |
asin | string | no | |
isbn | string | no | |
modelNumber | string | no | |
weight | number<double> | no | |
msrp | number<double> | no | |
manufacturer | string | no | |
mainImageUrl | string | no | |
companyId | integer<int32> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/catalog/products/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);